<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<link rel="stylesheet" type="text/css" href="css/style.css" media="screen,projection" />
	<title>Sviluppo Condiviso - Login</title>
        <script src="js/MD5.js"></script>
        <script>
            var ok,okpass;
            var passwd;
            var passwd2;
            
            function init(){
               ok=false;
               okpass=false;
               passwd=document.getElementById("password");
               passwd2=document.getElementById("password2");    
            }
            
            function usercheck(){
                var xmlhttp;
                var resp;
                var text;
                var no_user=document.getElementById("no_user");
                if(event.target.value!=""){
                    if (window.XMLHttpRequest){// codice per IE7+, Firefox, Chrome, Opera, Safari
                        xmlhttp=new XMLHttpRequest();
                    }else{// codice per IE6, IE5
                        xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
                    }
                    
                    xmlhttp.onreadystatechange=function(){
                       if(xmlhttp.readyState==4 && xmlhttp.status==200){ //controllo che sia arrivata la risposta e che il server abbia
                                                                         //risposto OK
                          resp=xmlhttp.responseText;
                          if(resp!="ok"){
                              text=document.createTextNode("Username già in uso!");
                              no_user.style.color="#ff0000";
                              
                          }else{
                              text=document.createTextNode("Username valido!");  
                              no_user.style.color="#00cc00";
                              ok=true;
                              
                          }
                          no_user.replaceChild(text,no_user.firstChild);
                       }
                    }
                    xmlhttp.open("GET","/SviluppoCondiviso/UserCheck?Username="+event.target.value,true);
                    xmlhttp.send();
                }else{
                    text=document.createTextNode("Campo Vuoto!");
                    no_user.style.color="#ff0000";
                }
                no_user.replaceChild(text,no_user.firstChild);
                
           }
            
            
            
           function passwdcheck(){ 
              var text;
              var no_pass=document.getElementById("no_pass");

              if(passwd.value!="" && passwd2.value!=""){
                if(passwd.value!=passwd2.value){
                  text=document.createTextNode("Le password non coincidono!");
                  no_pass.style.color="#ff0000";
                  okpass=false;
                }else{
                  text=document.createTextNode("Le password coincidono!");  
                  no_pass.style.color="#00cc00";
                  okpass=true;
                }
                no_pass.replaceChild(text,no_pass.firstChild);
              }
            }
            
            function refresh(){
                if(passwd.value=="Password"){
                    passwd.value=""; 
                    passwd2.value="";
               }else 
                   if(passwd.value!="" && okpass==false)
                      passwd2.value="";
            }
           
           function md5(){
             if((okpass==true) && (ok==true)){ 
               document.getElementById("nameform").value = document.getElementById("name").value;
               document.getElementById("hexpassword").value = hex_md5(passwd.value); 
               document.getElementById("form_registration").submit();
              }else{
                  if(passwd.value=="" || passwd2.value==""){
                    var text=document.createTextNode("Riempire i campi password!");  
                    var no_pass=document.getElementById("no_pass");
                    no_pass.replaceChild(text,no_pass.firstChild); 
                  }
              }               
           }
        </script>
</head>
<body onload="init()">
<div id="container" >
	<div id="header">
		<h1>Sviluppo Condiviso</h1>
		<h2>Progetto Tecnologie Web 2014/2015</h2>
	</div>
	<div id="navigation">
		<ul>
			<li><a href="index.jsp">Home</a></li>
                        <li style="float: right"><a href="Login.html">Login</a></li>
			<li class="selected" style="float: right"><a href="Registrazione.html">Registrazione</a></li>
		</ul>
	</div>
	  <div id="content">
		<div class="box"> 
		<div class="fcenter">
                    
                  <h2>Registrati!</h2> 
                <div id="no_user">Inserisci un nome utente</div>
                <input  id="name" type="text" value="Username" onfocusout="usercheck();" onclick="if(this.value=='Username')this.value='';"  class="fcenter"/>
                <br/><br/>
                <div>Inserisci una password</div>
                <input id="password" type="password" value="Password" onfocusout="passwdcheck();" onclick="refresh();" class="fcenter"/><br/><br/>
                <div id="no_pass">Ripeti la password</div>
                <input id="password2" type="password" value="Password" onfocusout="passwdcheck();" onclick="if(this.value=='Password')this.value=''" class="fcenter"/><br/><br/>
                <input class="button" type="button" value ="Registrami!" onclick="md5()"/>
        </div>
        <div>
            <form id="form_registration" action="/SviluppoCondiviso/Registration" method="post" hidden>
                <input id="nameform"  name="Username" type="text"  />
                <input id="hexpassword" name="Password" type="password" />
            </form>
          </div>
	   </div>
	</div>
	<div id="footer">
		<div class="fcenter">
			<div class="fcenter"><p>Powered by: Migliozzi Ilaria, Scarpati Luca, Simeone Mirko</p></div>
		</div>
	</div>

</div>
</body>
</html>